### Method

# Gtk Assistant set_forward_page_func

#### Declaration [src]

    void
    gtk_assistant_set_forward_page_func (
      GtkAssistant* assistant,
      GtkAssistantPageFunc page_func,
      gpointer data,
      GDestroyNotify destroy
    )

#### Description [src]

Sets the page forwarding function to be `page_func`.

This function will be used to determine what will be the next page when the user presses the forward button. Setting `page_func` to `NULL` will make the assistant to use the default forward function, which just goes to the next visible page.

#### Parameters

`page_func` | `GtkAssistantPageFunc`
| The `GtkAssistantPageFunc`, or `NULL` to use the default one.
`data` | `gpointer`
| User data for `page_func`.
`destroy` | `GDestroyNotify`
| Destroy notifier for `data`.